//-----------------------------------------------------------------------------------------------
// SystemEvent.cpp
//
#include "GypsyPrecompiledHeader.hpp"

//-----------------------------------------------------------------------------------------------
#include "Engine/Core/SystemEvent.hpp"


//-----------------------------------------------------------------------------------------------
const char* GetKeyButtonName( KeyButton keyButtonCode )
{
	switch( keyButtonCode )
	{
		case BUTTON_NONE:					return "None";
		case BUTTON_KEYBOARD_ENTER:			return "Enter";
		case BUTTON_KEYBOARD_ESCAPE:		return "Escape";
		case BUTTON_KEYBOARD_SPACE:			return "Space";
		case BUTTON_KEYBOARD_PLUS:			return "Plus";
		case BUTTON_KEYBOARD_COMMA:			return "Comma";
		case BUTTON_KEYBOARD_MINUS:			return "Minus";
		case BUTTON_KEYBOARD_PERIOD:		return "Period";
		case BUTTON_KEYBOARD_0:				return "0";
		case BUTTON_KEYBOARD_1:				return "1";
		case BUTTON_KEYBOARD_2:				return "2";
		case BUTTON_KEYBOARD_3:				return "3";
		case BUTTON_KEYBOARD_4:				return "4";
		case BUTTON_KEYBOARD_5:				return "5";
		case BUTTON_KEYBOARD_6:				return "6";
		case BUTTON_KEYBOARD_7:				return "7";
		case BUTTON_KEYBOARD_8:				return "8";
		case BUTTON_KEYBOARD_9:				return "9";
		case BUTTON_KEYBOARD_SEMICOLON:		return "Semicolon";
		case BUTTON_KEYBOARD_A:				return "A";
		case BUTTON_KEYBOARD_B:				return "B";
		case BUTTON_KEYBOARD_C:				return "C";
		case BUTTON_KEYBOARD_D:				return "D";
		case BUTTON_KEYBOARD_E:				return "E";
		case BUTTON_KEYBOARD_F:				return "F";
		case BUTTON_KEYBOARD_G:				return "G";
		case BUTTON_KEYBOARD_H:				return "H";
		case BUTTON_KEYBOARD_I:				return "I";
		case BUTTON_KEYBOARD_J:				return "J";
		case BUTTON_KEYBOARD_K:				return "K";
		case BUTTON_KEYBOARD_L:				return "L";
		case BUTTON_KEYBOARD_M:				return "M";
		case BUTTON_KEYBOARD_N:				return "N";
		case BUTTON_KEYBOARD_O:				return "O";
		case BUTTON_KEYBOARD_P:				return "P";
		case BUTTON_KEYBOARD_Q:				return "Q";
		case BUTTON_KEYBOARD_R:				return "R";
		case BUTTON_KEYBOARD_S:				return "S";
		case BUTTON_KEYBOARD_T:				return "T";
		case BUTTON_KEYBOARD_U:				return "U";
		case BUTTON_KEYBOARD_V:				return "V";
		case BUTTON_KEYBOARD_W:				return "W";
		case BUTTON_KEYBOARD_X:				return "X";
		case BUTTON_KEYBOARD_Y:				return "Y";
		case BUTTON_KEYBOARD_Z:				return "Z";
		case BUTTON_KEYBOARD_LEFTBRACKET:	return "Left Bracket";
		case BUTTON_KEYBOARD_RIGHTBRACKET:	return "Right Bracket";
		case BUTTON_KEYBOARD_NUMPAD0:		return "Numpad0";
		case BUTTON_KEYBOARD_NUMPAD1:		return "Numpad1";
		case BUTTON_KEYBOARD_NUMPAD2:		return "Numpad2";
		case BUTTON_KEYBOARD_NUMPAD3:		return "Numpad3";
		case BUTTON_KEYBOARD_NUMPAD4:		return "Numpad4";
		case BUTTON_KEYBOARD_NUMPAD5:		return "Numpad5";
		case BUTTON_KEYBOARD_NUMPAD6:		return "Numpad6";
		case BUTTON_KEYBOARD_NUMPAD7:		return "Numpad7";
		case BUTTON_KEYBOARD_NUMPAD8:		return "Numpad8";
		case BUTTON_KEYBOARD_NUMPAD9:		return "Numpad9";
		case BUTTON_KEYBOARD_F1:			return "F1";
		case BUTTON_KEYBOARD_F2:			return "F2";
		case BUTTON_KEYBOARD_F3:			return "F3";
		case BUTTON_KEYBOARD_F4:			return "F4";
		case BUTTON_KEYBOARD_F5:			return "F5";
		case BUTTON_KEYBOARD_F6:			return "F6";
		case BUTTON_KEYBOARD_F7:			return "F7";
		case BUTTON_KEYBOARD_F8:			return "F8";
		case BUTTON_KEYBOARD_F9:			return "F9";
		case BUTTON_KEYBOARD_F10:			return "F10";
		case BUTTON_KEYBOARD_F11:			return "F11";
		case BUTTON_KEYBOARD_F12:			return "F12";
		case BUTTON_KEYBOARD_F13:			return "F13";
		case BUTTON_KEYBOARD_F14:			return "F14";
		case BUTTON_KEYBOARD_F15:			return "F15";
		case BUTTON_KEYBOARD_F16:			return "F16";
		case BUTTON_KEYBOARD_F17:			return "F17";
		case BUTTON_KEYBOARD_F18:			return "F18";
		case BUTTON_KEYBOARD_F19:			return "F19";
		case BUTTON_KEYBOARD_F20:			return "F20";
		case BUTTON_KEYBOARD_F21:			return "F21";
		case BUTTON_KEYBOARD_F22:			return "F22";
		case BUTTON_KEYBOARD_F23:			return "F23";
		case BUTTON_KEYBOARD_F24:			return "F24";
		case BUTTON_KEYBOARD_LEFT_SHIFT:	return "Left Shift";
		case BUTTON_KEYBOARD_RIGHT_SHIFT:	return "Right Shift";
		case BUTTON_KEYBOARD_LEFT_CTRL:		return "Left Ctrl";
		case BUTTON_KEYBOARD_RIGHT_CTRL:	return "Right Ctrl";
		case BUTTON_KEYBOARD_LEFT_ALT:		return "Left Alt";
		case BUTTON_KEYBOARD_RIGHT_ALT:		return "Right Alt";
		case BUTTON_KEYBOARD_TILDE:			return "Tilde";
		case BUTTON_MOUSE_LEFT_BUTTON:		return "Left Mouse Button";
		case BUTTON_MOUSE_MIDDLE_BUTTON:	return "Middle Mouse Button";
		case BUTTON_MOUSE_RIGHT_BUTTON:		return "Right Mouse Button";
		case BUTTON_KEYBOARD_LEFTARROW:		return "Left Arrow";
		case BUTTON_KEYBOARD_UPARROW:		return "Up Arrow";
		case BUTTON_KEYBOARD_RIGHTARROW:	return "Right Arrow";
		case BUTTON_KEYBOARD_DOWNARROW:		return "Down Arrow";
		case BUTTON_KEYBOARD_HOME:			return "Home";
		case BUTTON_KEYBOARD_PGUP:			return "Pgup";
		case BUTTON_KEYBOARD_PGDN:			return "Pgdn";
		case BUTTON_KEYBOARD_END:			return "End";
		case BUTTON_KEYBOARD_DELETE:		return "Delete";
		case BUTTON_KEYBOARD_BACKSPACE:		return "Backspace";
		default:							return "UNKNOWN";
	}
}


